export default {
	namespaced: true,
	state: {
		usingIndex: -1, // 用户手动选择的地址下标
		requested: false, // 是否已经发送过获取地址网络请求
		list: [] // 地址列表
	},
	getters: {
		usingAddressIndex: (state) => { // 用户订单地址Index
			return state.usingIndex
		}
	},
	mutations: {
		GET_ADDRESS(state, list) { // 请求地址
			state.list = list
			state.requested = true
		},
		ADD_ADDRESS(state, item) { // 添加地址
			state.list.push(item)
		},
		UPDATA_ADDRESS(state, item) { //更新地址
			// console.log(item)
			// console.log(state.list.findIndex(e => e.id = item.id))
			state.list.splice(state.list.findIndex(e => e.id === item.id), 1, item)
		},
		CHOOSEADDRESS(state, index) { // 用户下单手动选择地址
			state.usingIndex = index
		},
		CLEARCHOOSED(state) { // 下单完成清除已选的地址
			state.usingIndex = -1
		},
		DEL(state, index) { // 删除地址
			state.list.splice(index, 1)
		}
	}
}
